E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

G::ReadWrite Member List

This is the complete list of members for G::ReadWrite, including all inherited members.

eWouldBlock()=0 | G::ReadWrite | pure virtual
fd() const =0 | G::ReadWrite | pure virtual
read(char *buffer, size_type buffer_length)=0 | G::ReadWrite | pure virtual
size_type typedef (defined in G::ReadWrite) | G::ReadWrite |
ssize_type typedef (defined in G::ReadWrite) | G::ReadWrite |
write(const char *buf, size_type len)=0 | G::ReadWrite | pure virtual
~ReadWrite() | G::ReadWrite | virtual